#
# spec file for package pam_ldap (Version 169)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cyrus-sasl cyrus-sasl-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel pam-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel gcc gdbm gettext heimdal-lib libtool openldap2 openldap2-devel openssl-devel pam-devel perl rpm

Name:         pam_ldap
License:      LGPL
Group:        Productivity/Networking/LDAP/Clients
Autoreqprov:  on
Version:      169
Release:      28.4
Summary:      A PAM Module for LDAP Authentication
URL:          http://www.padl.com/OSS/pam_ldap.html
Source:       pam_ldap-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        pam_ldap.patch
Patch1:       pam_ldap-%{version}.patch
Patch2:       pam_ldap-fix-referral-tls.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a PAM Module that handles LDAP. The advantages of this pecular
version are:

Possibility to change LDAP passwords in the directory

Compatibility with the nss_ldap configuration file format



Authors:
--------
    PADL Software Pty Ltd <dev@padl.com>

%prep
%setup
%patch -E
%patch1
%patch2 -p1
cp -v  %{S:1} .
%{suse_update_libdir README pam_ldap.c pam.conf}

%build
%{suse_update_config -f}
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --enable-nds \
                                    --with-ldap-lib=openldap \
				    --libdir=/%{_lib} \
				    --sysconfdir=/etc
				    
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/openldap
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/etc/ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.LIB README README.SuSE ChangeLog ldap.conf pam.d
/%{_lib}/security/pam_ldap.so

%changelog -n pam_ldap
* Wed Aug 24 2005 - rhafer@suse.de
- Honour "ssl start_tls" when chasing referrals (Bug #94355)
* Sat Mar 13 2004 - kukuk@suse.de
- Update to version 169
- Add workaround for [Bug #34389]
* Thu Feb 05 2004 - sbrabec@suse.cz
- Updated to version 167.
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
- Build as user
* Mon Aug 11 2003 - sbrabec@suse.cz
- Updated to version 164.
* Mon Jul 14 2003 - sbrabec@suse.cz
- Changed path to ldap.conf to /etc (bug #27528).
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Sat Mar 08 2003 - kukuk@suse.de
- Add workaround for KDM Bug [Bug #24931]
* Thu Feb 20 2003 - kukuk@suse.de
- Fix base and scope values if we have an nss_base_passwd option
  without scope
* Thu Feb 20 2003 - rhafer@suse.de
- Fix off-by-one bug in _read_config (nss_base_passwd option)
* Thu Feb 13 2003 - kukuk@suse.de
- Fix seg.fault if conversion function returns NULL.
* Mon Feb 10 2003 - sbrabec@suse.cz
- Removed /etc/openldap from %%files.
* Mon Feb 10 2003 - sbrabec@suse.cz
- Updated to version 159.
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Aug 26 2002 - rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Tue Jul 16 2002 - kukuk@suse.de
- Update to pam_ldap 150 (lot of small bug fixes)
* Thu Mar 21 2002 - kukuk@suse.de
- Fix docu, add hint about new pam_unix2.conf configuration
* Mon Feb 04 2002 - tcrhak@suse.cz
- update to version 137, used %%{_lib}
* Tue Jan 15 2002 - kukuk@suse.de
- Update to version 135 (correct uid check)
- Fix "use_first_pass" option (check if old password was really
  set, set old token earlier)
* Sat Jan 12 2002 - kukuk@suse.de
- Fix broken PAM config files
- Use pam_unix2.so
* Tue Dec 04 2001 - tcrhak@suse.cz
- update to version 134
* Tue Aug 07 2001 - cihlar@suse.cz
- update to version 122
- added Url
* Wed Jun 20 2001 - pblaha@suse.cz
- update on version 118
* Mon May 07 2001 - kukuk@suse.de
- Fix more example config files (get ride of pam_pwdb, use
  correct pam_unix options)
* Fri Apr 27 2001 - kukuk@suse.de
- Fix name of config option
- Don't print "Error: success" if we are no LDAP user
- Fix example config files (module stacking, syntax error)
* Wed Mar 21 2001 - ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 - pblaha@suse.cz
- update on version 105
- add buildroot
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Wed Jan 31 2001 - choeger@suse.de
- link against ldaplib2
* Tue Dec 05 2000 - kukuk@suse.de
- Update to version 82
- Don't log user name of failed logins
* Sat Nov 04 2000 - kukuk@suse.de
- Use ldaplib in neededforbuild
* Wed Sep 27 2000 - kukuk@suse.de
- Fix sshd example
* Wed May 17 2000 - kukuk@suse.de
- Update to version 51
- Adjust example pam config files (Bug 2862)
* Tue Feb 15 2000 - kukuk@suse.de
- Update to version 46
* Tue Oct 12 1999 - kukuk@suse.de
- Update to version 42
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - kukuk@suse.de
- Update to version 39
* Mon Jul 12 1999 - kukuk@suse.de
- Add README.SuSE and ldap.conf to documentation
- Create /etc/openldap directory
* Fri Jun 25 1999 - kukuk@suse.de
- Update to version 36
* Wed Jun 16 1999 - kukuk@suse.de
- First Version
